#include <iostream>
#include <vector>
#include <cstdio>
#include <math.h>

using namespace std;

void dct(vector<double> &eingabe, vector<double> &ausgabe) // Berechnung der Cosinustransformation
{
  int n = eingabe.size();
  if (ausgabe.size() != n) {
    cout<<"dct_ii: dataseries sizes don't match, exiting"<<endl;
    return;
  }
  // Perform actual DCT-II
  const double pi = 3.1415926535897932;
  for (int i=0; i<n; ++i) {
    ausgabe[i] = 0.0;
    for (int j=0; j<n; ++j) {
      ausgabe[i] = ausgabe[i] + cos (pi / n * i * (j + 0.5)) * eingabe[j];
    }
  }
  return;
}


